Package twisted :: Package enterprise :: Module adbapi :: Class Augmentation

[frames | no frames]

## Class Augmentation

Known Subclasses:
  `DatabaseAuthorizer`, `NewsStorageAugmentation`, `SQLReflector`

This class is now deprecated. Just use the ConnectionPool directly.

Conventional usage of me is to write methods that look like

    >>>  def getSomeData(self, critereon):
    >>>      return self.runQuery("SELECT * FROM FOO WHERE BAR LIKE '%%%s%%'" % critereon).addCallback(self.processResult)

Method Summary
| `__init__(self, dbpool)`
| `__setstate__(self, state)`
| `createSchema(self)`
| ``operationDone`(self, done)` Example callback for database operation success.
| ``operationError`(self, error)` Example callback for database operation failure.
| `runInteraction(self, interaction, *args, **kw)`
| `runOperation(self, *args, **kw)`
| `runQuery(self, *args, **kw)`
| `schemaCreated(self, result)`
| `schemaNotCreated(self, error)`

Class Variable Summary
`str` | `schema` = `' Insert your SQL database schema here. '`

Method Details

### operationDone(self, done)

Example callback for database operation success.

Override this, and/or define your own callbacks.

### operationError(self, error)

Example callback for database operation failure.

Override this, and/or define your own callbacks.

Class Variable Details

### schema

  Type:
    `str`
  Value:

        ' Insert your SQL database schema here. '

Generated by Epydoc 2.0 on Sat May 15 20:07:50 2004 | http://epydoc.sf.net